Bug 319611 - Invalid placement of TimeStamp element in kml export [patch]
Summary: Invalid placement of TimeStamp element in kml export [patch]
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Geolocation-KMLExport (show other bugs)
Version: 3.3.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-10 09:33 UTC by Glenn Washburn
Modified: 2018-01-31 19:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.0.0


Attachments
Patch to always put date time as child of PlaceMark (611 bytes, patch)
2013-08-12 12:23 UTC, David Greengas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Glenn Washburn 2013-05-10 09:33:34 UTC
In the generated KML file, the TimeStamp element is a child of the Point element, however it should be a child of the Placemark element.  Google earth will warn about this if warnings are turned on.

Reproducible: Always

Steps to Reproduce:
1. Select some geo-referenced photos.
2. Select menu item Export > Export to KML
3. Click OK (use defaults)
4. Open KML file in Google earth
Actual Results:  
Improper KML generated

Expected Results:  
Valid KML?

Point element reference:
https://developers.google.com/kml/documentation/kmlreference#point

Placemark reference:
https://developers.google.com/kml/documentation/kmlreference#placemark

These are for the 2.2 schema, but it should parse all valid 2.1 kmls.
Comment 1 David Greengas 2013-08-12 12:23:25 UTC
Created attachment 81668 [details]
Patch to always put date time as child of PlaceMark
Comment 2 David Greengas 2013-08-12 12:24:56 UTC
I noticed that when the EXIF date time is used, it is as a child of the PlaceMark element, but when the image date time is used, it is a child of the Point element. The attached diff makes it consistent.
Comment 3 caulier.gilles 2013-10-30 07:57:01 UTC
Git commit 5c8934ffc91eae7be7cfa23d6a45c43adad60a4f by Gilles Caulier.
Committed on 30/10/2013 at 07:55.
Pushed by cgilles into branch 'master'.

KMLExport : apply patch #81668 to always put date time as child of PlaceMark
FIXED-IN: 4.0.0

M  +1    -1    kmlexport/kmlexport.cpp

http://commits.kde.org/kipi-plugins/5c8934ffc91eae7be7cfa23d6a45c43adad60a4f